Cassandra.system_update_keyspace_args (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.system_update_keyspace_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.system_update_keyspace_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.system_update_keyspace_args>, org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.system_update_keyspace_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cassandra.system_update_keyspace_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`KsDef` | `ks_def`
`static java.util.Map<Cassandra.system_update_keyspace_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

Constructor Summary
`Cassandra.system_update_keyspace_args()`
`Cassandra.system_update_keyspace_args(Cassandra.system_update_keyspace_args other)` Performs a deep copy on other.
`Cassandra.system_update_keyspace_args(KsDef ks_def)`

Method Summary
`void` | `clear()`
`int` | `compareTo(Cassandra.system_update_keyspace_args other)`
`Cassandra.system_update_keyspace_args` | `deepCopy()`
`boolean` | `equals(Cassandra.system_update_keyspace_args that)`
`boolean` | `equals(java.lang.Object that)`
`Cassandra.system_update_keyspace_args._Fields` | `fieldForId(int fieldId)`
`java.lang.Object` | `getFieldValue(Cassandra.system_update_keyspace_args._Fields field)`
`KsDef` | `getKs_def()`
`int` | `hashCode()`
`boolean` | `isSet(Cassandra.system_update_keyspace_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetKs_def()` Returns true if field ks_def is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` | `setFieldValue(Cassandra.system_update_keyspace_args._Fields field, java.lang.Object value)`
`Cassandra.system_update_keyspace_args` | `setKs_def(KsDef ks_def)`
`void` | `setKs_defIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetKs_def()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ks_def

    public KsDef ks_def

### metaDataMap

    public static final java.util.Map<Cassandra.system_update_keyspace_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.system_update_keyspace_args

    public Cassandra.system_update_keyspace_args()

### Cassandra.system_update_keyspace_args

    public Cassandra.system_update_keyspace_args(KsDef ks_def)

### Cassandra.system_update_keyspace_args

    public Cassandra.system_update_keyspace_args(Cassandra.system_update_keyspace_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.system_update_keyspace_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`

### getKs_def

    public KsDef getKs_def()

### setKs_def

    public Cassandra.system_update_keyspace_args setKs_def(KsDef ks_def)

### unsetKs_def

    public void unsetKs_def()

### isSetKs_def

    public boolean isSetKs_def()

  Returns true if field ks_def is set (has been assigned a value) and false otherwise

### setKs_defIsSet

    public void setKs_defIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.system_update_keyspace_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.system_update_keyspace_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`

### isSet

    public boolean isSet(Cassandra.system_update_keyspace_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.system_update_keyspace_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.system_update_keyspace_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.system_update_keyspace_args>`

### fieldForId

    public Cassandra.system_update_keyspace_args._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.system_update_keyspace_args,Cassandra.system_update_keyspace_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation